Subject: bug#71646: 29.3; pixel-scroll-precision-mode overrides paging behaviour even when pixel-scroll-precision-interpolate-page is off

From: Mike Woolley <[email-masked]>
Date: Sat, 31 Aug 2024 10:54:17 +0100

I’m quite happy to fix it along the lines I suggested, it’s only a small, low impact change?

Thanks,
Mike

> On 31 Aug 2024, at 10:24, Eli Zaretskii <[email-masked]> wrote:
> 
> Ping! Should I close this?
> 
>> Cc: [email-masked], [email-masked]
>> Date: Sat, 24 Aug 2024 11:43:51 +0300
>> From: Eli Zaretskii <[email-masked]>
>> 
>>> From: Po Lu <[email-masked]>
>>> Cc: [email-masked],  [email-masked]
>>> Date: Sat, 17 Aug 2024 16:24:28 +0800
>>> 
>>> Eli Zaretskii <[email-masked]> writes:
>>> 
>>>> Ping!
>>>> 
>>>>> Cc: [email-masked]
>>>>> Date: Sun, 04 Aug 2024 10:54:54 +0300
>>>>> From: Eli Zaretskii <[email-masked]>
>>>>> 
>>>>> Po Lu, how can we make some progress here?
>>>>> 
>>>>>> From: Mike Woolley <[email-masked]>
>>>>>> Date: Sat, 20 Jul 2024 11:10:15 +0100
>>>>>> Cc: Po Lu <[email-masked]>,
>>>>>> [email-masked]
>>>>>> 
>>>>>> Sorry Eli,
>>>>>> 
>>>>>> I had replied, but forgot to CC the list :-)
>>> 
>>> I suspect that if you make this mistake and correct it afterwards the
>>> entire thread will be classified as spam...
>>> 
>>>>>> What I was saying was: of course I can remove the bindings from the map myself (& indeed that’s what I've
>>>>>> done), but my point is why should I have to?
>>>>>> Why is a feature that’s turned off still having an effect? I think this is unnecessary and surprising to users (at
>>>>>> least it was to me)!
>>>>>> 
>>>>>> I was thinking this paging animation feature might be better as it’s own minor mode, which would do the right
>>>>>> thing with keymaps and is how the other features in the same file are implemented?
>>> 
>>> Yes, but that ship sailed with the release of Emacs 29.  It's too late
>>> to change any of these mechanics.
>> 
>> So should we close this bug as wontfix, then?
>> 
>> 
>> 
>>